From 37b29231e47a0c4458dc1c15d98588f16f07e1e2 Mon Sep 17 00:00:00 2001
From: Marius Cramer <m.cramer@pixcept.de>
Date: Thu, 06 Aug 2015 03:18:44 -0400
Subject: [PATCH] - don't set password via remoting if field is empty

---
 server/scripts/run-getmail.sh |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

diff --git a/server/scripts/run-getmail.sh b/server/scripts/run-getmail.sh
index 998ecab..3eac5ec 100644
--- a/server/scripts/run-getmail.sh
+++ b/server/scripts/run-getmail.sh
@@ -1,13 +1,20 @@
-#!/bin/sh
+#!/bin/bash
+PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin
 set -e
 cd /etc/getmail
 rcfiles=""
 for file in *.conf ; do
-if [ $file != "*.conf" ]; then
-rcfiles="$rcfiles -r $file"
-fi
+  if [ $file != "*.conf" ]; then
+    rcfiles="$rcfiles -r $file"
+  fi
 done
 #echo $rcfiles
-if [ "$rcfiles" != "" ]; then
-exec /usr/bin/getmail -n -v -g /etc/getmail $rcfiles
-fi
\ No newline at end of file
+if [ -f /tmp/.getmail_lock ]; then
+  echo 'Found getmail lock file /tmp/.getmail_lock, we quit here.'
+else
+  touch /tmp/.getmail_lock
+  if [ "$rcfiles" != "" ]; then
+    /usr/bin/getmail -v -g /etc/getmail $rcfiles || true
+  fi
+  rm -f /tmp/.getmail_lock
+fi

--
Gitblit v1.9.1